locked
2008R2 安裝 XAMPP 1.7.7 無法啟動 RRS feed

  • 問題

  • 您好 想請問 我於2008 R2 X64上安裝XAMPP 1.7.7

    安裝後,我有關調UAC

    但 conrol pannel 上仍看到 APCHE 無法啟動...

    我們有裝IIS

    請問 這有辦法解決嗎?

     

    謝謝!

     


    2011年10月8日 下午 12:30

解答

  • 您好!

    官方說法是有支援,至於為何不能裝,應該去問XAMPP這套軟體的公司或相關論壇,而不是裝不起來就都是Windows的錯,您說是吧! :)

    • 已標示為解答 softballnow 2011年10月11日 上午 11:27
    2011年10月9日 下午 03:07

所有回覆

  • 我也重弄 2003 Server 來安裝

    也是無法啟動

    我看事件檢視器,發現安裝過程出現

    找不到依存組合 Microsoft.VC90.CRT,最近的錯誤是 參照的組合沒有安裝在您的系統中。
    我 vcredist_x86 安裝後,再重新安裝 XAMPP 仍出現

    -->找不到依存組合 Microsoft.VC90.CRT,最近的錯誤是 參照的組合沒有安裝在您的系統中。  LOG

     

    請問 這是XAMPP問題還是 其他問題?

    2011年10月9日 上午 01:21
  • 您好!

    官方說法是有支援,至於為何不能裝,應該去問XAMPP這套軟體的公司或相關論壇,而不是裝不起來就都是Windows的錯,您說是吧! :)

    • 已標示為解答 softballnow 2011年10月11日 上午 11:27
    2011年10月9日 下午 03:07
  • 如果你已經先裝了 IIS,
    那麼 IIS 預設就已經會先佔走 80,
    可能會導致你後來裝的 XAMPP 無法啟動,
    所以請記得去修改 IIS 的預設網站。

    我早上試著全新安裝 Server 2008 R2,
    然後就直接裝 VC 2008 SP1 及 XAMPP 1.7.7,
    是可以正常使用及設定的。

    不過,如果你有安裝設定上的問題,
    還是建議直接到他們的討論區或留言板詢問,
    畢竟微軟論壇主要是討論微軟相關產品及技術的地方。 :)


    蘇老碎碎念
    資訊無涯,回頭已不見岸
    好用的微軟技術支援小工具
    Facebook - 微軟台灣官方論壇愛好者俱樂部
    如何在論壇正確發問,請參考iThome的文章: 如何問到我要的答案
    Windows 7 技術支援中心
    2011年10月11日 上午 02:48
  • 您好經過多方交叉測試

    應該是新版XAMPP 的問題...

    我灌舊版 就可以RUN了...

    2011年10月11日 上午 11:27
  • 我也遇到類似問題,裝 PHP 5.3 (5.3.9) 在 2008 R2 64bit 

    PHP ZIP 版本 :http://windows.php.net/download/

    php5apache2_2.dll" 的啟用內容產生失敗。 找不到依存組合 Microsoft.VC90.CRT

    >>>

    使用 PHP msi 用安裝方式,可以成功安裝 & 啟動 Apche 

    http://windows.php.net/downloads/releases/php-5.3.9-nts-Win32-VC9-x86.msi



    • 已編輯 Jamis 2012年1月18日 上午 02:03
    2012年1月18日 上午 01:44
  • 我們有測試過直接安裝在Windows 7 x64上面是OK的,但是在WinXP和Win2k3上面Apache會跑不起來,不知道是不是因為沒有安裝 VC 2008 SP1的緣故,這個我們再找時間測試

    後來我們改用分別安裝的方式來解決,就是獨立安裝Apache、PHP、MySQL

    最後,這裡是微軟的專屬問題討論區,如果不是微軟問題的話,就儘量不要在此發問囉 ^^

    2012年1月20日 上午 04:56